Bug 20432 - mailx-8.1.1-16 security fix messes up backspace key
Summary: mailx-8.1.1-16 security fix messes up backspace key
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mailx (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-06 18:47 UTC by Need Real Name
Modified: 2007-04-18 16:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 03:22:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-11-06 18:47:30 UTC
Intalled the mailx-8.1.1-16 security fix, seems like the
new "short list" of environment variables mailx now looks
at is a little too short, and terminal config info isn't
being seen by mailx. Practical result is that pressing the
backspace key at the & prompt prints junk instead of doing
a backspace operation -- one must literally type control-H
now to do a backspace. The shell and all other apps still
handle backspace fine, as does other RedHat machines with
older mailx's. FYI, I think this alias is what's setting
up the behavior of interest here (ts gets run in .login) ...

alias   ts      'set noglob ; eval `tset -Q -s -e^H -k^U  \!*`'


Note You need to log in before you can comment on or make changes to this bug.